// Mobile - Home Page
@media (max-width: 352px) {
    
    #navbar-2 {
        
        .logo {
            width: 70% !important;
        }

        .search {
            width: 30% !important;
        }
    }

    #showcase-home {

        .showcase-content {

            margin-left: 12px !important;

            .form-group {
                width: 250px !important;
            }
        }
    }

    #footer-2 {
        
        .footer-elements {
            
            &-1 {
                
                a {
                    padding: 0 30px !important;
                }
            }
        }
    }
}

@media (min-width: 320px) and (max-width: 768px) {
    
    #navbar {

        &-1 {
            display: none;
        }

        &-2 {
            display: flex;
            flex-direction: column;
            background-color: transparent;
            color: $medium-gray;
            width: 100%;
            height: auto;
            position: absolute;
            z-index: 5;

            .upper-items {
                display: flex;
                align-items: center;
                width: 100%;
                padding: 20px 0px 20px 15px;

                .logo {
                    width: 75%;
                }            

                .search {
                    display: flex;
                    align-items: center;
                    cursor: pointer;
                    width: 25%;
                
                    svg {
                    margin-right: 10px;
                    }
                }

            }

            .lower-items {
                border-top: 5px solid $medium-gray;
                display: flex;
                align-items: center;
                padding: 20px 15px;

                & > div {
                    cursor: pointer;
                    display: flex;
                    align-items: center;

                    &:not(:first-child) {
                        margin-left: 25px;
                    }
                }

                span {
                    margin-left: 5px;
                }

                .current {
                    svg {
                        path {
                            fill: #fff;
                        }
                    }
                    
                    color: $white-color;
                }
            }

            .scroll::-webkit-scrollbar {
                display: none;
            }
        }

        &-3 {
            display: flex;
            justify-content: space-between;
            background-color: transparent;
            width: 100%;
            height: 60px;
            position: absolute;
            z-index: 5;

            .logo {
                display: flex;
                align-self: center;
                margin-left: 20px;
            }

            .user {
                display: flex;
                align-items: center;
                margin-right: 20px;
                
                img {
                    border-radius: 50%;
                    width: 30px;
                    height: 30px;
                    margin-left: 20px;
                }
            }
        }
    }
    
    #showcase {

        &-home {

            .showcase {
                height: 500px;
        
                .showcase-content {
                    margin-top: 150px;
                    margin-left: 20px;
                    width: 300px;
    
                    .subtitle-welcome {
                        margin-bottom: 5px;
                        
                        .subtitle-1 {
                            font-size: 16px;
                        }
                    }
                    
                    .title {
                        margin-bottom: 20px;
                        
                        .header-1 {
                            font-size: 24px;
                            line-height: 32px;
                        }
                    }
                        
                    .subtitle-enjoy {
                        margin-bottom: 10px;
    
                        .subtitle-1 {
                            font-size: 16px;
                        }
    
                        .subtitle-3 {
                            font-size: 14px;
                            line-height: 18px;
                        }
                    }
                    
                    form {
                        flex-direction: column;
                        
                        .form-group {
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            padding: 10px 0;
                            border-radius: 3px ;
                            width: 100%;
                            
                            & input {
                                display: inline-block;
                                width: 70%;
                                font-size: 14px;
                            }
                            
                            .country-code {
                                padding: 3px;
            
                                p {
                                    padding-right: 5px;
                                    font-size: 14px;
                                }
                            }
                        }
                        
                        .btn-primary {
                            padding: 15px 40px;
                            border-radius: 3px;
                            font-size: 14px;
                            margin-top: 15px;
                        }
                    }
                }
            }
        }

        &-play {
            padding: 0;

            .showcase-movie {
                padding: 0;

                .showcase-img {
                    height: 300px;
                    margin-top: 60px;
                }

                .showcase-content {
                    
                    .title-icons,
                    .year-time,
                    .desc {
                        display: none;
                    }

                    .movie-content {
                        display: flex;
                        flex-direction: column;
                        padding-left: 20px;

                        h1 {
                            margin-top: 15px;
                        }

                        .time-year {
                            margin: 10px 0;

                            span {
                                color: $medium-gray;
                            }
                        }

                        .icons {
                            display: flex;
                            align-items: center;
                            text-align: center;
                            padding: 20px 0;
                        
                            & > div {
                                padding-right: 30px;
                                color: $medium-gray;

                                svg {
                                    path {
                                        fill: #807E81;
                                    }
                                }
                            }

                            & > div:hover {
                                color: #1884F7;

                                svg {
                                    path,
                                    rect {
                                        fill: #1884F7;
                                    }
                                }
                            }
                        }

                        .description {
                            margin-top: 10px;

                            p {
                                color: $medium-gray;
                                margin-top: 10px;
                            }
                        }
                    }
                }
            }

            .movies-for-you {
                display: none;
            }
        }
    }

    .container {
        padding: 0 0 0 20px;
    }

    .container-mob {
        padding: 0 20px 0 20px;
    }

    .section-title {
        padding: 35px 20px 15px 0;

        .header-4 {
            font-size: 20px;
        }

        a {
            font-size: 14px;
        }
    }

    #live-show {
        
        .section-title {
            padding: 35px 0 15px 0;
        }

        .section-items {
    
            .live-show-item {
                flex-direction: column;
                align-items: flex-start;
                width: 170px;

                .live-show-img {
                    img {
                        width: 150px;
                        height: 80px;
                    }
                }
    
                .live-show-content {
                    width: 170px;
                    margin-left: 0;
    
                    h2 {
                        font-size: 14px;
                        margin-bottom: 5px;
                    }
    
                    p {
                        font-size: 12px;
                    }
                }
            }
        }
    }
    
    #most-popular {
            
        .item {
            width: 130px !important;
            height: 180px !important;
    
            .item-title {
                padding-top: 190px !important;
                font-size: 14px;
                width: 130px;
                overflow: scroll;
            }
        }
    }

    #movies-for-you,
    #related-videos {
    
        .item {
            width: 300px !important;
            height: 200px !important;
    
            .item-title {
                padding-top: 210px !important;
                font-size: 16px;
                width: 300px;
                overflow: scroll;
            }
        }
    
    }

    #latest-bangla-music {

        padding-bottom: 40px;
    
        .item {
            width: 300px !important;
            height: 200px !important;
    
            .item-title {
                padding-top: 210px !important;
                font-size: 16px;
                width: 300px;
                overflow: scroll;
            }
        }
    }

    #related-videos {
        padding-bottom: 100px;
        padding-right: 0;
    }

    #footer {

        &-1 {
            display: none; 
        }

        &-2 {
            border-top: 5px solid $medium-gray;
            color: $white-color;
            height: 250px;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: space-evenly;
            
            a:not(.ignore) {
                border-right: 1px solid $medium-gray;
            }
    
            .footer-elements-1,
            .footer-elements-2 {
                display: flex;
                align-items: center;
                justify-content: center;
            }
            
            .footer-elements {
                
                &-1 {
                    
                    a {
                        cursor: pointer;
                        padding: 0 60px;
                        font-size: 14px;
                    }
                }
    
                &-2 {
    
                    a {
                        font-size: 14px;
                    }
    
                    a:not(:first-child) {
                        padding: 0 20px;
                        cursor: pointer;
                    }
                    
                    .gray {
                        color: $medium-gray;
                    }
                }
            }
    
            .footer-txt {
                font-size: 14px;
                margin-top: 20px;
            } 
        }
    }

    #btnTop {
        display: none !important;
    }
}

// Tablet and Small Laptop - Home Page
@media (min-width: 768px) and (max-width: 1024px) {
    
    #navbar {

        &-1 {
            display: none;
        }

        &-2 {
            display: flex;
            flex-direction: column;
            background-color: transparent;
            color: $medium-gray;
            width: 100%;
            height: auto;
            position: absolute;
            z-index: 5;

            .upper-items {
                display: flex;
                align-items: center;
                width: 100%;
                padding: 20px 0px 20px 15px;

                .logo {
                    width: 85%;
                }            

                .search {
                    display: flex;
                    align-items: center;
                    cursor: pointer;
                    width: 15%;
                    
                    svg {
                        margin-right: 10px;
                    }
                }

            }

            .lower-items {
                border-top: 5px solid $medium-gray;
                display: flex;
                align-items: center;
                padding: 20px 15px;

                & > div {
                    cursor: pointer;
                    display: flex;
                    align-items: center;

                    &:not(:first-child) {
                        margin-left: 25px;
                    }
                }

                span {
                    margin-left: 5px;
                }

                .current {
                    svg {
                        path {
                            fill: #fff;
                        }
                    }
                    color: $white-color;
                }
            }
        }

        &-3 {
            display: flex;
            justify-content: space-between;
            background-color: transparent;
            width: 100%;
            height: 80px;
            position: absolute;
            z-index: 5;

            .logo {
                display: flex;
                align-self: center;
                margin-left: 20px;
            }

            .user {
                display: flex;
                align-items: center;
                margin-right: 20px;
                
                img {
                    border-radius: 50%;
                    width: 30px;
                    height: 30px;
                    margin-left: 20px;
                }
            }
        }
    }

    #footer {

        &-1 {
            display: none;
        }

        &-2 {
            border-top: 5px solid $medium-gray;
            color: $white-color;
            height: 250px;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: space-evenly;
            
            a:not(.ignore) {
                border-right: 1px solid $medium-gray;
            }
            
            .footer-elements-1,
            .footer-elements-2 {
                display: flex;
                align-items: center;
                justify-content: center;
            }
            
            .footer-elements {
                
                &-1 {
                    
                    a {
                        cursor: pointer;
                        padding: 0 60px;
                        font-size: 16px;
                    }
                }

                &-2 {

                    a {
                        font-size: 16px;
                    }

                    a:not(:first-child) {
                        padding: 0 20px;
                        cursor: pointer;
                    }
                    
                    .gray {
                        color: $medium-gray;
                    }
                }
            }

            .footer-txt {
                font-size: 16px;
                margin-top: 20px;
            }
        }
    }
}

@media (min-width: 768px) and (max-width: 1439px) {
    
    #showcase-play {
        padding: 0;

        .showcase-movie {
            padding: 0;

            .showcase-img {
                height: 600px;
                margin: 80px auto 0;
            }

            .showcase-content {
                padding-right: 15px;
                
                .title-icons,
                .year-time,
                .desc {
                    display: none;
                }

                .movie-content {
                    display: flex;
                    flex-direction: column;
                    padding-left: 20px;

                    h1 {
                        margin-top: 15px;
                    }

                    .time-year {
                        margin: 10px 0;

                        span {
                            color: $medium-gray;
                        }
                    }

                    .icons {
                        display: flex;
                        align-items: center;
                        text-align: center;
                        padding: 20px 0;
                    
                        & > div {
                            padding-right: 30px;
                            color: $medium-gray;

                            svg {
                                path {
                                    fill: #807E81;
                                }
                            }
                        }

                        & > div:hover {
                            color: #1884F7;

                            svg {
                                path,
                                rect {
                                    fill: #1884F7;
                                }
                            }
                        }
                    }

                    .description {
                        margin-top: 10px;

                        p {
                            color: $medium-gray;
                            margin-top: 10px;
                        }
                    }
                }
            }
        }

        .movies-for-you {
            display: none;
        }
    }

    #related-videos {
        padding: 0 0 100px 20px;
    }
}

@media (min-width: 1440px) and (max-width: 1818px) {
    #showcase-play {
        padding-right: 0;
    
        .showcase-movie {
            width: 100%;
            padding: 90px 25px 0 80px;
            
            .showcase-img {
                height: 590px;
            }
        }
    
        .movies-for-you {
            width: 25%;
            padding-left: 25px;

            .title {
                h2 {
                    font-size: 26px !important;
                }
            }
            
        
            .movies {
                
                .item {
                    width: 100px !important;
                    height: 200px !important;
                }
            }
        }
    
    }
}

@media (min-width: 1819px) and (max-width: 2526px) {
    
    .showcase-img {
        height: 790px !important;
    }

    .movies-for-you {

        .movies {
    
            .item {
                width: 130px !important;
                height: 230px !important;
            }
        }
    }

    #related-videos {
        padding: 0 0 200px 80px;
    }
}